<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BasicManagedDataSource (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BasicManagedDataSource (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicManagedDataSource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/BasicManagedDataSource.html" target="_top">Frames</a></li>
<li><a href="BasicManagedDataSource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2.managed</div>
<h2 title="Class BasicManagedDataSource" class="title">Class BasicManagedDataSource</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.BasicDataSource</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.managed.BasicManagedDataSource</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/management/MBeanRegistration.html?is-external=true" title="class or interface in javax.management">MBeanRegistration</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html" title="interface in org.apache.commons.dbcp2">BasicDataSourceMXBean</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BasicManagedDataSource</span>
extends <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">BasicDataSource</a></pre>
<div class="block"><p>
 BasicManagedDataSource is an extension of BasicDataSource which creates ManagedConnections. This data source can
 create either full two-phase-commit XA connections or one-phase-commit local connections. Both types of connections
 are committed or rolled back as part of the global transaction (a.k.a. XA transaction or JTA Transaction), but only
 XA connections can be recovered in the case of a system crash.
 </p>
 <p>
 BasicManagedDataSource adds the TransactionManager and XADataSource properties. The TransactionManager property is
 required and is used to enlist connections in global transactions. The XADataSource is optional and if set is the
 class name of the XADataSource class for a two-phase-commit JDBC driver. If the XADataSource property is set, the
 driverClassName is ignored and a DataSourceXAConnectionFactory is created. Otherwise, a standard
 DriverConnectionFactory is created and wrapped with a LocalXAConnectionFactory.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2"><code>BasicDataSource</code></a>, 
<a href="../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html" title="class in org.apache.commons.dbcp2.managed"><code>ManagedConnection</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#BasicManagedDataSource--">BasicManagedDataSource</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#createConnectionFactory--">createConnectionFactory</a></span>()</code>
<div class="block">Creates a JDBC connection factory for this data source.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#createDataSourceInstance--">createDataSourceInstance</a></span>()</code>
<div class="block">Creates the actual data source instance.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html" title="class in org.apache.commons.dbcp2">PoolableConnectionFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#createPoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-">createPoolableConnectionFactory</a></span>(<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;driverConnectionFactory)</code>
<div class="block">Creates the PoolableConnectionFactory and attaches it to the connection pool.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#getTransactionManager--">getTransactionManager</a></span>()</code>
<div class="block">Gets the required transaction manager property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>
<div class="block">Gets the transaction registry.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#getTransactionSynchronizationRegistry--">getTransactionSynchronizationRegistry</a></span>()</code>
<div class="block">Gets the optional TransactionSynchronizationRegistry.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#getXADataSource--">getXADataSource</a></span>()</code>
<div class="block">Gets the optional XADataSource class name.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/XADataSource.html?is-external=true" title="class or interface in javax.sql">XADataSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#getXaDataSourceInstance--">getXaDataSourceInstance</a></span>()</code>
<div class="block">Gets the XADataSource instance used by the XAConnectionFactory.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#setTransactionManager-javax.transaction.TransactionManager-">setTransactionManager</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager)</code>
<div class="block">Sets the required transaction manager property.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#setTransactionSynchronizationRegistry-javax.transaction.TransactionSynchronizationRegistry-">setTransactionSynchronizationRegistry</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;transactionSynchronizationRegistry)</code>
<div class="block">Sets the optional TransactionSynchronizationRegistry property.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#setXADataSource-java.lang.String-">setXADataSource</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;xaDataSource)</code>
<div class="block">Sets the optional XADataSource class name.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#setXaDataSourceInstance-javax.sql.XADataSource-">setXaDataSourceInstance</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/XADataSource.html?is-external=true" title="class or interface in javax.sql">XADataSource</a>&nbsp;xaDataSourceInstance)</code>
<div class="block">
 Sets the XADataSource instance used by the XAConnectionFactory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.dbcp2.BasicDataSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">BasicDataSource</a></h3>
<code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#addConnectionProperty-java.lang.String-java.lang.String-">addConnectionProperty</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#close--">close</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createConnectionPool-org.apache.commons.dbcp2.PoolableConnectionFactory-">createConnectionPool</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createDataSource--">createDataSource</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createObjectPool-org.apache.commons.dbcp2.PoolableConnectionFactory-org.apache.commons.pool2.impl.GenericObjectPoolConfig-org.apache.commons.pool2.impl.AbandonedConfig-">createObjectPool</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#evict--">evict</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getAbandonedLogWriter--">getAbandonedLogWriter</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getAbandonedUsageTracking--">getAbandonedUsageTracking</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getAutoCommitOnReturn--">getAutoCommitOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getCacheState--">getCacheState</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnection--">getConnection</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnection-java.lang.String-java.lang.String-">getConnection</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionFactoryClassName--">getConnectionFactoryClassName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionInitSqls--">getConnectionInitSqls</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionInitSqlsAsArray--">getConnectionInitSqlsAsArray</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionPool--">getConnectionPool</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultAutoCommit--">getDefaultAutoCommit</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultCatalog--">getDefaultCatalog</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultQueryTimeout--">getDefaultQueryTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultReadOnly--">getDefaultReadOnly</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultSchema--">getDefaultSchema</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultTransactionIsolation--">getDefaultTransactionIsolation</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDisconnectionSqlCodes--">getDisconnectionSqlCodes</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDisconnectionSqlCodesAsArray--">getDisconnectionSqlCodesAsArray</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDriver--">getDriver</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDriverClassLoader--">getDriverClassLoader</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDriverClassName--">getDriverClassName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getEnableAutoCommitOnReturn--">getEnableAutoCommitOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getEvictionPolicyClassName--">getEvictionPolicyClassName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getFastFailValidation--">getFastFailValidation</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getInitialSize--">getInitialSize</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getJmxName--">getJmxName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLifo--">getLifo</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogAbandoned--">getLogAbandoned</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogExpiredConnections--">getLogExpiredConnections</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLoginTimeout--">getLoginTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogWriter--">getLogWriter</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxConnLifetimeMillis--">getMaxConnLifetimeMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxIdle--">getMaxIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxOpenPreparedStatements--">getMaxOpenPreparedStatements</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxTotal--">getMaxTotal</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxWaitMillis--">getMaxWaitMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinEvictableIdleTimeMillis--">getMinEvictableIdleTimeMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinIdle--">getMinIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumActive--">getNumActive</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumIdle--">getNumIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumTestsPerEvictionRun--">getNumTestsPerEvictionRun</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getParentLogger--">getParentLogger</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getPassword--">getPassword</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRegisteredJmxName--">getRegisteredJmxName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnBorrow--">getRemoveAbandonedOnBorrow</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnMaintenance--">getRemoveAbandonedOnMaintenance</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedTimeout--">getRemoveAbandonedTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRollbackOnReturn--">getRollbackOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getSoftMinEvictableIdleTimeMillis--">getSoftMinEvictableIdleTimeMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnBorrow--">getTestOnBorrow</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnCreate--">getTestOnCreate</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnReturn--">getTestOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestWhileIdle--">getTestWhileIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTimeBetweenEvictionRunsMillis--">getTimeBetweenEvictionRunsMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUrl--">getUrl</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUsername--">getUsername</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQuery--">getValidationQuery</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQueryTimeout--">getValidationQueryTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#invalidateConnection-java.sql.Connection-">invalidateConnection</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#isAccessToUnderlyingConnectionAllowed--">isAccessToUnderlyingConnectionAllowed</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClearStatementPoolOnReturn--">isClearStatementPoolOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClosed--">isClosed</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#isPoolPreparedStatements--">isPoolPreparedStatements</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#isWrapperFor-java.lang.Class-">isWrapperFor</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#log-java.lang.String-">log</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#log-java.lang.String-java.lang.Throwable-">log</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#postDeregister--">postDeregister</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#postRegister-java.lang.Boolean-">postRegister</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#preDeregister--">preDeregister</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#preRegister-javax.management.MBeanServer-javax.management.ObjectName-">preRegister</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#removeConnectionProperty-java.lang.String-">removeConnectionProperty</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#restart--">restart</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setAbandonedLogWriter-java.io.PrintWriter-">setAbandonedLogWriter</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setAbandonedUsageTracking-boolean-">setAbandonedUsageTracking</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setAccessToUnderlyingConnectionAllowed-boolean-">setAccessToUnderlyingConnectionAllowed</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setAutoCommitOnReturn-boolean-">setAutoCommitOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setCacheState-boolean-">setCacheState</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setClearStatementPoolOnReturn-boolean-">setClearStatementPoolOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setConnectionFactoryClassName-java.lang.String-">setConnectionFactoryClassName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setConnectionInitSqls-java.util.Collection-">setConnectionInitSqls</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setConnectionProperties-java.lang.String-">setConnectionProperties</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDefaultAutoCommit-java.lang.Boolean-">setDefaultAutoCommit</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDefaultCatalog-java.lang.String-">setDefaultCatalog</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDefaultQueryTimeout-java.lang.Integer-">setDefaultQueryTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDefaultReadOnly-java.lang.Boolean-">setDefaultReadOnly</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDefaultSchema-java.lang.String-">setDefaultSchema</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDefaultTransactionIsolation-int-">setDefaultTransactionIsolation</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDisconnectionSqlCodes-java.util.Collection-">setDisconnectionSqlCodes</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDriver-java.sql.Driver-">setDriver</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDriverClassLoader-java.lang.ClassLoader-">setDriverClassLoader</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDriverClassName-java.lang.String-">setDriverClassName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setEnableAutoCommitOnReturn-boolean-">setEnableAutoCommitOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setEvictionPolicyClassName-java.lang.String-">setEvictionPolicyClassName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setFastFailValidation-boolean-">setFastFailValidation</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setInitialSize-int-">setInitialSize</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setJmxName-java.lang.String-">setJmxName</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setLifo-boolean-">setLifo</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setLogAbandoned-boolean-">setLogAbandoned</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setLogExpiredConnections-boolean-">setLogExpiredConnections</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setLoginTimeout-int-">setLoginTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setLogWriter-java.io.PrintWriter-">setLogWriter</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMaxConnLifetimeMillis-long-">setMaxConnLifetimeMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMaxIdle-int-">setMaxIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMaxOpenPreparedStatements-int-">setMaxOpenPreparedStatements</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMaxTotal-int-">setMaxTotal</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMaxWaitMillis-long-">setMaxWaitMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMinEvictableIdleTimeMillis-long-">setMinEvictableIdleTimeMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setMinIdle-int-">setMinIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setNumTestsPerEvictionRun-int-">setNumTestsPerEvictionRun</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setPoolPreparedStatements-boolean-">setPoolPreparedStatements</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setRemoveAbandonedOnBorrow-boolean-">setRemoveAbandonedOnBorrow</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setRemoveAbandonedOnMaintenance-boolean-">setRemoveAbandonedOnMaintenance</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setRemoveAbandonedTimeout-int-">setRemoveAbandonedTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setRollbackOnReturn-boolean-">setRollbackOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setSoftMinEvictableIdleTimeMillis-long-">setSoftMinEvictableIdleTimeMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setTestOnBorrow-boolean-">setTestOnBorrow</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setTestOnCreate-boolean-">setTestOnCreate</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setTestOnReturn-boolean-">setTestOnReturn</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setTestWhileIdle-boolean-">setTestWhileIdle</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setTimeBetweenEvictionRunsMillis-long-">setTimeBetweenEvictionRunsMillis</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setUrl-java.lang.String-">setUrl</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setUsername-java.lang.String-">setUsername</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setValidationQuery-java.lang.String-">setValidationQuery</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setValidationQueryTimeout-int-">setValidationQueryTimeout</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#start--">start</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#startPoolMaintenance--">startPoolMaintenance</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#unwrap-java.lang.Class-">unwrap</a>, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#validateConnectionFactory-org.apache.commons.dbcp2.PoolableConnectionFactory-">validateConnectionFactory</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BasicManagedDataSource--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BasicManagedDataSource</h4>
<pre>public&nbsp;BasicManagedDataSource()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getXaDataSourceInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXaDataSourceInstance</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/XADataSource.html?is-external=true" title="class or interface in javax.sql">XADataSource</a>&nbsp;getXaDataSourceInstance()</pre>
<div class="block">Gets the XADataSource instance used by the XAConnectionFactory.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the XADataSource</dd>
</dl>
</li>
</ul>
<a name="setXaDataSourceInstance-javax.sql.XADataSource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXaDataSourceInstance</h4>
<pre>public&nbsp;void&nbsp;setXaDataSourceInstance(<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/XADataSource.html?is-external=true" title="class or interface in javax.sql">XADataSource</a>&nbsp;xaDataSourceInstance)</pre>
<div class="block"><p>
 Sets the XADataSource instance used by the XAConnectionFactory.
 </p>
 <p>
 Note: this method currently has no effect once the pool has been initialized. The pool is initialized the first
 time one of the following methods is invoked: <code>getConnection, setLogwriter,
 setLoginTimeout, getLoginTimeout, getLogWriter.</code>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xaDataSourceInstance</code> - XADataSource instance</dd>
</dl>
</li>
</ul>
<a name="getTransactionManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionManager</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;getTransactionManager()</pre>
<div class="block">Gets the required transaction manager property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the transaction manager used to enlist connections</dd>
</dl>
</li>
</ul>
<a name="getTransactionSynchronizationRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionSynchronizationRegistry</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;getTransactionSynchronizationRegistry()</pre>
<div class="block">Gets the optional TransactionSynchronizationRegistry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the TSR that can be used to register synchronizations.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getTransactionRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionRegistry</h4>
<pre>protected&nbsp;<a href="../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;getTransactionRegistry()</pre>
<div class="block">Gets the transaction registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the transaction registry associating XAResources with managed connections</dd>
</dl>
</li>
</ul>
<a name="setTransactionManager-javax.transaction.TransactionManager-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransactionManager</h4>
<pre>public&nbsp;void&nbsp;setTransactionManager(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager)</pre>
<div class="block">Sets the required transaction manager property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionManager</code> - the transaction manager used to enlist connections</dd>
</dl>
</li>
</ul>
<a name="setTransactionSynchronizationRegistry-javax.transaction.TransactionSynchronizationRegistry-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransactionSynchronizationRegistry</h4>
<pre>public&nbsp;void&nbsp;setTransactionSynchronizationRegistry(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;transactionSynchronizationRegistry)</pre>
<div class="block">Sets the optional TransactionSynchronizationRegistry property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionSynchronizationRegistry</code> - the TSR used to register synchronizations</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getXADataSource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXADataSource</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getXADataSource()</pre>
<div class="block">Gets the optional XADataSource class name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the optional XADataSource class name</dd>
</dl>
</li>
</ul>
<a name="setXADataSource-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXADataSource</h4>
<pre>public&nbsp;void&nbsp;setXADataSource(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;xaDataSource)</pre>
<div class="block">Sets the optional XADataSource class name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xaDataSource</code> - the optional XADataSource class name</dd>
</dl>
</li>
</ul>
<a name="createConnectionFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectionFactory</h4>
<pre>protected&nbsp;<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;createConnectionFactory()
                                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createConnectionFactory--">BasicDataSource</a></code></span></div>
<div class="block">Creates a JDBC connection factory for this data source. The JDBC driver is loaded using the following algorithm:
 <ol>
 <li>If a Driver instance has been specified via <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#setDriver-java.sql.Driver-"><code>BasicDataSource.setDriver(Driver)</code></a> use it</li>
 <li>If no Driver instance was specified and <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#driverClassName"><code>BasicDataSource.driverClassName</code></a> is specified that class is loaded using the
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassLoader.html?is-external=true" title="class or interface in java.lang"><code>ClassLoader</code></a> of this class or, if <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#driverClassLoader"><code>BasicDataSource.driverClassLoader</code></a> is set, <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#driverClassName"><code>BasicDataSource.driverClassName</code></a> is loaded
 with the specified <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassLoader.html?is-external=true" title="class or interface in java.lang"><code>ClassLoader</code></a>.</li>
 <li>If <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#driverClassName"><code>BasicDataSource.driverClassName</code></a> is specified and the previous attempt fails, the class is loaded using the
 context class loader of the current thread.</li>
 <li>If a driver still isn't loaded one is loaded via the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DriverManager.html?is-external=true" title="class or interface in java.sql"><code>DriverManager</code></a> using the specified <a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#url"><code>BasicDataSource.url</code></a>.
 </ol>
 <p>
 This method exists so subclasses can replace the implementation class.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createConnectionFactory--">createConnectionFactory</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">BasicDataSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A new connection factory.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the connection factory cannot be created</dd>
</dl>
</li>
</ul>
<a name="createDataSourceInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataSourceInstance</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;createDataSourceInstance()
                                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createDataSourceInstance--">BasicDataSource</a></code></span></div>
<div class="block">Creates the actual data source instance. This method only exists so that subclasses can replace the
 implementation class.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createDataSourceInstance--">createDataSourceInstance</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">BasicDataSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A new DataSource instance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if unable to create a datasource instance</dd>
</dl>
</li>
</ul>
<a name="createPoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createPoolableConnectionFactory</h4>
<pre>protected&nbsp;<a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html" title="class in org.apache.commons.dbcp2">PoolableConnectionFactory</a>&nbsp;createPoolableConnectionFactory(<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;driverConnectionFactory)
                                                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates the PoolableConnectionFactory and attaches it to the connection pool.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createPoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-">createPoolableConnectionFactory</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">BasicDataSource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>driverConnectionFactory</code> - JDBC connection factory created by <a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#createConnectionFactory--"><code>createConnectionFactory()</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A new PoolableConnectionFactory configured with the current configuration of this BasicDataSource</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if an error occurs creating the PoolableConnectionFactory</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicManagedDataSource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/BasicManagedDataSource.html" target="_top">Frames</a></li>
<li><a href="BasicManagedDataSource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
